Overview | Modules | Class Hierarchy | Classes | Members

# tlp::ElementPropertiesWidget Class Reference

`#include <ElementPropertiesWidget.h>`

Inherits tlp::ElementPropertiesWidgetUI.

Inheritance diagram for tlp::ElementPropertiesWidget:

[legend]
Collaboration diagram for tlp::ElementPropertiesWidget:

[legend]
List of all members.

## Public Slots

- void updateTable ()
- void propertyTableValueChanged (int, int)
- void setDisplayMode (const ElementType)
- void setCurrentNode (Graph *, const node &)
- void setCurrentEdge (Graph *, const edge &)
- void setGraph (Graph *, bool distroy=true)
- void setCurrentListedProperties (const QStringList &)
- void setNodeListedProperties (const QStringList &)
- void setEdgeListedProperties (const QStringList &)
- void nodePropertyChanged (Graph *, const node &, const QString &, const QString &)
- void edgePropertyChanged (Graph *, const edge &, const QString &, const QString &)

## Signals

- void tulipNodePropertyChanged (Graph *, const node &, const QString &property, const QString &value)
- void tulipEdgePropertyChanged (Graph *, const edge &, const QString &property, const QString &value)

## Public Member Functions

- ElementPropertiesWidget (Graph *, const QStringList &nodeListedProperties, const QStringList &edgeListedProperties, QWidget *parent=0)
- ElementPropertiesWidget (QWidget *parent=0)
- ~ElementPropertiesWidget ()
- QStringList getCurrentListedProperties () const
- QStringList getNodeListedProperties () const
- QStringList getEdgeListedProperties () const
- Graph * getGraph () const
- node getCurrentNode () const
- edge getCurrentEdge () const
- ElementType getDisplayMode () const
- bool isElementDisplayed () const

## Protected Attributes

- ElementType displayMode
- node currentNode
- edge currentEdge
- bool nodeSet
- bool edgeSet
- bool displayAllProperties
- Graph * graph

## Properties

- QStringList nodeListedProperties
- QStringList edgeListedProperties
- bool elementDisplayed

## Constructor & Destructor Documentation

tlp::ElementPropertiesWidget::ElementPropertiesWidget | ( | Graph * | ,
|  | const QStringList & | nodeListedProperties,
|  | const QStringList & | edgeListedProperties,
|  | QWidget * | parent = `0`
| ) |

tlp::ElementPropertiesWidget::ElementPropertiesWidget | ( | QWidget * | parent = `0` | ) |

tlp::ElementPropertiesWidget::~ElementPropertiesWidget | ( |  | ) |

## Member Function Documentation

void tlp::ElementPropertiesWidget::edgePropertyChanged | ( | Graph * | ,
|  | const edge & | ,
|  | const QString & | ,
|  | const QString & |
| ) | `[slot]`

edge tlp::ElementPropertiesWidget::getCurrentEdge | ( |  | ) | const

QStringList tlp::ElementPropertiesWidget::getCurrentListedProperties | ( |  | ) | const

node tlp::ElementPropertiesWidget::getCurrentNode | ( |  | ) | const

ElementType tlp::ElementPropertiesWidget::getDisplayMode | ( |  | ) | const

QStringList tlp::ElementPropertiesWidget::getEdgeListedProperties | ( |  | ) | const

Graph* tlp::ElementPropertiesWidget::getGraph | ( |  | ) | const

QStringList tlp::ElementPropertiesWidget::getNodeListedProperties | ( |  | ) | const

bool tlp::ElementPropertiesWidget::isElementDisplayed | ( |  | ) | const

void tlp::ElementPropertiesWidget::nodePropertyChanged | ( | Graph * | ,
|  | const node & | ,
|  | const QString & | ,
|  | const QString & |
| ) | `[slot]`

void tlp::ElementPropertiesWidget::propertyTableValueChanged | ( | int | ,
|  | int |
| ) | `[virtual, slot]`

| Reimplemented from tlp::ElementPropertiesWidgetUI.

void tlp::ElementPropertiesWidget::setCurrentEdge | ( | Graph * | ,
|  | const edge & |
| ) | `[slot]`

void tlp::ElementPropertiesWidget::setCurrentListedProperties | ( | const QStringList & |  | ) | `[slot]`

void tlp::ElementPropertiesWidget::setCurrentNode | ( | Graph * | ,
|  | const node & |
| ) | `[slot]`

void tlp::ElementPropertiesWidget::setDisplayMode | ( | const | ElementType | ) | `[slot]`

void tlp::ElementPropertiesWidget::setEdgeListedProperties | ( | const QStringList & |  | ) | `[slot]`

void tlp::ElementPropertiesWidget::setGraph | ( | Graph * | ,
|  | bool | distroy = `true`
| ) | `[slot]`

void tlp::ElementPropertiesWidget::setNodeListedProperties | ( | const QStringList & |  | ) | `[slot]`

void tlp::ElementPropertiesWidget::tulipEdgePropertyChanged | ( | Graph * | ,
|  | const edge & | ,
|  | const QString & | property,
|  | const QString & | value
| ) | `[signal]`

void tlp::ElementPropertiesWidget::tulipNodePropertyChanged | ( | Graph * | ,
|  | const node & | ,
|  | const QString & | property,
|  | const QString & | value
| ) | `[signal]`

void tlp::ElementPropertiesWidget::updateTable | ( |  | ) | `[slot]`

## Member Data Documentation

edge tlp::ElementPropertiesWidget::currentEdge `[protected]`

node tlp::ElementPropertiesWidget::currentNode `[protected]`

bool tlp::ElementPropertiesWidget::displayAllProperties `[protected]`

ElementType tlp::ElementPropertiesWidget::displayMode `[protected]`

bool tlp::ElementPropertiesWidget::edgeSet `[protected]`

Graph* tlp::ElementPropertiesWidget::graph `[protected]`

bool tlp::ElementPropertiesWidget::nodeSet `[protected]`

## Property Documentation

QStringList tlp::ElementPropertiesWidget::edgeListedProperties`[read, write]`

bool tlp::ElementPropertiesWidget::elementDisplayed`[read]`

QStringList tlp::ElementPropertiesWidget::nodeListedProperties`[read, write]`

Tulip Software by LaBRI Visualization Team 2001 - 2010